## org.apache.lucene.util.automaton
Interface AutomatonProvider

    public interface AutomatonProvider

Automaton provider for `RegExp.` `RegExp.toAutomaton(AutomatonProvider)`

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`Automaton` `getAutomaton(String name)` Returns automaton of the given name.

Method Detail

### getAutomaton

    Automaton getAutomaton(String name)
                           throws IOException

  Returns automaton of the given name.

  Parameters:
    `name` - automaton name
  Returns:
    automaton
  Throws:
    `IOException` - if errors occur

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.